package com.simuwang.base.common.support.command;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author wangzaijun
 * @date 2024/9/13 15:06
 * @description 只包括id的抽象保存类对象
 */
@Setter
@Getter
public abstract class BaseIdsCmd extends BaseCmd {
    /**
     * 提供给子类实现的获取唯一标识的方法
     *
     * @return /
     */
    public abstract List<Integer> getIds();
}
