package com.simuwang.base.common.support.service;

import com.simuwang.base.common.support.query.BaseByIdQuery;
import com.simuwang.base.common.support.vo.BaseVO;

/**
 * @author wangzaijun
 * @date 2024/9/14 9:07
 * @description 根据id获取数据的服务
 */
public interface GetByIdService<Q extends BaseByIdQuery, VO extends BaseVO> {
    /**
     * 根据id获取一条记录
     *
     * @param query id查询条件
     * @return /
     */
    VO getById(Q query);
}
