package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("asset")
public class AssetDO {
    /**
     * 主键Id
     */
    @TableId(value = "id")
    private Integer id;
    /**
     * 基金id
     */
    @TableField(value = "fund_id")
    private String fundId;
    /**
     * 规模日期
     */
    @TableField(value = "price_date")
    private Date priceDate;
    /**
     * 资产份额
     */
    @TableField(value = "asset_share")
    private BigDecimal assetShare;
    /**
     * 资产净值(基金规模)
     */
    @TableField(value = "asset_net")
    private BigDecimal assetNet;
    /**
     * 是否有效：0-无效，1-有效
     */
    @TableField(value = "isvalid")
    private Integer isvalid;
    /**
     * 创建者Id
     */
    @TableField(value = "creatorid")
    private Integer creatorId;
    /**
     * 创建时间
     */
    @TableField(value = "createtime")
    private Date createTime;
    /**
     * 修改者Id
     */
    @TableField(value = "updaterid")
    private Integer updaterId;
    /**
     * 更新时间
     */
    @TableField(value = "updatetime")
    private Date updateTime;
}