package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("nav")
public class NavDO {
    /**
     * 主键Id
     */
    @TableId(value = "id")
    private Integer id;
    /**
     * 基金id
     */
    @TableField(value = "fund_id")
    private String fundId;
    /**
     * 规模日期
     */
    @TableField(value = "price_date")
    private Date priceDate;
    /**
     * 单位净值
     */
    @TableField(value = "nav")
    private BigDecimal nav;
    /**
     * 复权净值
     */
    @TableField(value = "cumulative_nav")
    private BigDecimal cumulativeNav;
    /**
     * 累计净值
     */
    @TableField(value = "cumulative_nav_withdrawal")
    private BigDecimal cumulativeNavWithdrawal;
    /**
     * 是否有效：0-无效，1-有效
     */
    @TableField(value = "isvalid")
    private Integer isvalid;
    /**
     * 创建者Id
     */
    @TableField(value = "creatorid")
    private Integer creatorId;
    /**
     * 创建时间
     */
    @TableField(value = "createtime")
    private Date createTime;
    /**
     * 修改者Id
     */
    @TableField(value = "updaterid")
    private Integer updaterId;
    /**
     * 更新时间
     */
    @TableField(value = "updatetime")
    private Date updateTime;
}