package com.simuwang.base.pojo.dto;

import lombok.Data;

import java.util.Date;

@Data
public class EmailInfoDTO {
    /**
     * 邮件id
     */
    private Integer id;
    /**
     * 文件id
     */
    private Integer fileId;
    /**
     * 邮箱地址
     */
    private String email;
    /**
     * 邮箱日期
     */
    private Date emailDate;
    /**
     * 邮件主题
     */
    private String emailTitle;
    /**
     * 邮件类型，1-净值，2-估值表，3-定期报告
     */
    private Integer emailType;
    /**
     * 解析状态
     */
    private Integer parseStatus;
    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 文件地址
     */
    private String filePath;
}
