package com.simuwang.base.pojo.dto.query;

import com.simuwang.base.common.support.query.PageQuery;
import lombok.Data;

/**
 * FileName: FundNavAssetPageQuery
 * Author:   chenjianhua
 * Date:     2024/9/15 16:55
 * Description: ${DESCRIPTION}
 */
@Data
public class FundNavAssetPageQuery extends PageQuery {

    /**
     * 基金名称
     */
    private String fundName;
    /**
     * 净值开始日期
     */
    private String priceStartDate;
    /**
     * 净值结束日期
     */
    private String priceEndDate;
    /**
     * 更新开始日期
     */
    private String updateStartDate;
    /**
     * 更新结束日期
     */
    private String updateEndDate;
}
