package com.simuwang.base.pojo.dto.sys;

import com.simuwang.base.common.support.command.BaseCmd;
import jakarta.validation.constraints.NotNull;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author wangzaijun
 * @date 2024/9/13 20:01
 * @description 角色权限分配接口请求参数
 */
@Setter
@Getter
public class RoleMenuAssignCmd extends BaseCmd {
    /**
     * 待分配权限的角色id
     */
    @NotNull(message = "待分配的角色不能为空")
    private Integer roleId;
    /**
     * 分配的权限，当问空时清空分配的权限
     */
    private List<Integer> menuIds;
}
