package com.simuwang.base.pojo.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * FileName: CompanyEmailSendHistoryDO
 * Author:   chenjianhua
 * Date:     2024/9/7 13:36
 * Description: ${DESCRIPTION}
 */
@Data
public class CompanyEmailSendHistoryVO {
    /**
     * 主键Id
     */
    private Integer id;
    /**
     * 公司ID
     */
    private String companyId;
    /**
     * 公司名称
     */
    private String companyName;
    /**
     * 邮箱地址
     */
    private String email;
    /**
     * 发送状态，0-失败，1-成功，-1未发送
     */
    private Integer sendStatus;
    /**
     * 发送时间
     */
    private String sendTime;
    /**
     * 发送备注
     */
    private String sendRemark;

}
