package com.simuwang.base.pojo.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.util.Date;

/**
 * FileName: DeletionInfoDO
 * Author:   chenjianhua
 * Date:     2024/9/17 18:45
 * Description: ${DESCRIPTION}
 */
@Data
public class DeletionInfoVO {
    /**
     * 基金ID
     */
    private String fundId;
    /**
     * 基金名称
     */
    private String fundName;
    /**
     * 公司名称
     */
    private String companyName;
    /**
     * 缺失类型
     */
    private Integer deletionType;
    /**
     * 缺失数量
     */
    private Integer deletionNum;
    /**
     * 已处理数量
     */
    private Integer processedNum;
    /**
     * 最新缺失日期
     */
    private String lastDeletionDate;

}
