package com.simuwang.base.pojo.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

@Data
public class EmailTemplateApplicationRuleVO {
    /**
     * 主键Id
     */
    private Integer id;
    /**
     * 模版id(email_template_info.id)
     */
    private Integer templateId;
    /**
     * 字段类型：1-邮件标题，2-附件名称，3-表格内容
     */
    private Integer type;
    /**
     * 表格行
     */
    private Integer row;
    /**
     * 表格列
     */
    private String column;
    /**
     * 包含关键字(多个以英文逗号隔开)
     */
    private String containKeyword;
    /**
     * 不包含关键字(多个以英文逗号隔开)
     */
    private String notContainKeyword;

}
