package com.simuwang.base.pojo.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

@Data
public class EmailTemplateInfoVO {
    /**
     * 主键Id
     */
    private Integer id;
    /**
     * 模板名称
     */
    private String name;
    /**
     * 模板类型：1-excel类型，2-正文类型
     */
    private Integer type;
    /**
     * 模版方向：1-行，2-列,-1其他
     */
    private Integer direction;
    /**
     * 循环开始数字或者字母
     */
    private String startIndex;
    /**
     * 循环结束数字或者字母
     */
    private String endIndex;
    /**
     * 模版备注
     */
    private String description;
    /**
     * 状态：0-关闭，1-开启
     */
    private Integer status;
}
