package com.simuwang.base.pojo.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

@Data
public class MailboxInfoVO {
    /**
     * 主键Id
     */
    private Integer id;
    /**
     * 邮箱类型:1-QQ邮箱,2-腾讯企业邮箱,3-网易邮箱,4-新浪邮箱,99-其他
     */
    private Integer type;
    /**
     * 邮箱账号
     */
    private String email;
    /**
     * 邮箱密码
     */
    private String password;
    /**
     * 协议,pop3|imap
     */
    private String protocol;
    /**
     * 收件服务器
     */
    private String server;
    /**
     * 端口
     */
    private String port;
    /**
     * cron表达式
     */
    private Integer cron;
    /**
     * 是否开启，0-不开启，1-开启
     */
    private Integer openStatus;
    /**
     * 备注信息
     */
    private String description;

}