package com.simuwang.manage.service;

import com.simuwang.base.common.support.MybatisPage;
import com.simuwang.base.pojo.dto.query.DistributionPageQuery;
import com.simuwang.base.pojo.vo.DistributionTablePageVO;
import com.simuwang.base.pojo.vo.DistributionVO;
import com.simuwang.base.pojo.vo.IdListVO;
import com.smppw.common.pojo.ResultVo;
import org.springframework.web.multipart.MultipartFile;

/**
 * FileName: DistributionService
 * Author:   chenjianhua
 * Date:     2024/9/15 14:07
 * Description: ${DESCRIPTION}
 */
public interface DistributionService {

    MybatisPage<DistributionTablePageVO> searchDistributionList(DistributionPageQuery distributionPageQuery);

    ResultVo saveDistribution(DistributionVO distributionVO);

    void deleteDistribution(IdListVO idListVO);

    ResultVo uploadDistribution(MultipartFile file);
}
