package com.simuwang.manage.service.system;

import com.simuwang.base.common.support.service.IService;
import com.simuwang.base.pojo.dos.sys.SysLogDO;
import com.simuwang.base.pojo.vo.sys.SysLogVO;
import com.simuwang.logging.LoggingService;

/**
 * @author wangzaijun
 * @date 2024/9/14 14:30
 * @description 日志管理服务
 */
public interface SysLogService extends IService<SysLogVO, SysLogDO>, LoggingService {
    /**
     * 清空日志接口
     *
     * @return /
     */
    boolean truncate();
}
