package com.simuwang.manage.service.system;

import com.simuwang.base.common.support.service.IService;
import com.simuwang.base.pojo.dos.sys.SysMenuDO;
import com.simuwang.base.pojo.dto.sys.MenuTreeQuery;
import com.simuwang.base.pojo.vo.sys.SysMenuVO;
import com.simuwang.manage.dto.MenuTreeDTO;

import java.util.List;

/**
 * @author wangzaijun
 * @date 2024/9/13 19:43
 * @description 系统菜单服务
 */
public interface SysMenuService extends IService<SysMenuVO, SysMenuDO> {
    /**
     * 菜单树列表 todo
     *
     * @param query 查询参数
     * @return /
     */
    List<MenuTreeDTO> listMenuTrees(MenuTreeQuery query);
}
