package com.simuwang.base.common.support.query;

import com.simuwang.base.common.support.DTO;

/**
 * @author wangzaijun
 * @date 2024/9/14 8:57
 * @description 抽象的根据id查询对象
 */
public abstract class BaseByIdQuery extends DTO {
    /**
     * 提供给子类实现的获取唯一标识的方法
     *
     * @return /
     */
    public abstract Integer getId();
}
