package com.simuwang.base.common.support.service;

import com.simuwang.base.common.support.MybatisPage;
import com.simuwang.base.common.support.query.PageQuery;
import com.simuwang.base.common.support.vo.BaseVO;

/**
 * @author wangzaijun
 * @date 2024/9/13 16:02
 * @description 多表关联时的接口对象
 */
public interface MultiJoinIService<VO extends BaseVO> {
    /**
     * 多表关联的分页方法
     *
     * @param query 查询条件
     * @return 分页对象
     */
    <Q extends PageQuery> MybatisPage<VO> findMultiPage(Q query);
}
