package com.simuwang.base.common.support.vo;

import com.simuwang.base.common.conts.Constants;
import lombok.Getter;
import lombok.Setter;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author wangzaijun
 * @date 2024/9/14 9:36
 * @description 仅包含id和名称的对象
 */
@Setter
@Getter
public class OnlyIdNameVO implements Serializable {
    @Serial
    private static final long serialVersionUID = Constants.DEFAULT_SERIAL_ID;
    /**
     * 唯一标识
     */
    private Integer id;
    /**
     * 对应的名称
     */
    private String name;
}
