package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import java.time.LocalDateTime;
import java.sql.Timestamp;
import java.time.LocalDate;
import java.util.Date;

@Data
@TableName("pdf_valuation_record")
public class PdfValuationRecordDO{
   /**
   *主键ID
   */
   @TableId(value="id")
   private Integer id;
   /**
   *基金id
   */
   @TableField(value="fund_id")
   private String fundId;
   /**
   *文件上传日期
   */
   @TableField(value="upload_date")
   private Date uploadDate;
   /**
   *pdf文件名
   */
   @TableField(value="file_name")
   private String fileName;
   /**
   *pdf文件路径
   */
   @TableField(value="pdf_url")
   private String pdfUrl;
   /**
   *pdf转化为excel文件的路径
   */
   @TableField(value="excel_url")
   private String excelUrl;
   /**
   *估值表来源：1-是
   */
   @TableField(value="from_email")
   private Integer fromEmail;
   /**
   *是否成功解析：0-否，1-是
   */
   @TableField(value="is_success")
   private Integer isSuccess;
   /**
   *pdf解析失败的原因
   */
   @TableField(value="reason")
   private String reason;
   /**
   *是否有效：0-无效，1-有效
   */
   @TableField(value="isvalid")
   private Integer isvalid;
   /**
   *创建者Id
   */
   @TableField(value="creatorid")
   private Integer creatorId;
   /**
   *创建时间
   */
   @TableField(value="createtime")
   private Date createTime;
   /**
   *修改者Id
   */
   @TableField(value="updaterid")
   private Integer updaterId;
   /**
   *更新时间
   */
   @TableField(value="updatetime")
   private Date updateTime;
}