package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * FileName: SysConfigDO
 * Author:   chenjianhua
 * Date:     2024/9/8 12:45
 * Description: ${DESCRIPTION}
 */
@Data
@TableName("sys_config")
public class SysConfigDO
{

    /** 参数主键 */
    @TableId(value = "config_id",type = IdType.AUTO)
    private Long configId;

    /** 参数名称 */
    @TableId(value = "config_name")
    private String configName;

    /** 参数键名 */
    @TableId(value = "config_key")
    private String configKey;

    /** 参数键值 */
    @TableId(value = "config_value")
    private String configValue;

    /** 系统内置（Y是 N否） */
    @TableId(value = "config_type")
    private String configType;

    /** 备注 */
    @TableId(value = "remark")
    private String remark;
    /**
     * 记录的有效性；1-有效；0-无效；
     */
    @TableField(value = "isvalid")
    private Integer isvalid;
    /**
     * 创建者Id;第一次创建时与Creator值相同，修改时与修改人值相同
     */
    @TableField(value = "creatorid")
    private Integer creatorId;
    /**
     * 修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同
     */
    @TableField(value = "updaterid")
    private Integer updaterId;
    /**
     * 创建时间,默认第一次创建的getdate()时间
     */
    @TableField(value = "createtime")
    private Date createTime;
    /**
     * 修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同
     */
    @TableField(value = "updatetime")
    private Date updateTime;
}
