package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * FileName: SysDictDataDO
 * Author:   chenjianhua
 * Date:     2024/9/8 12:45
 * Description: ${DESCRIPTION}
 */
@Data
@TableName("sys_dict_data")
public class SysDictDataDO
{

    /** 字典编码 */
    @TableId(value = "dict_code",type = IdType.AUTO)
    private Long dictCode;

    /** 字典排序 */
    @TableId(value = "dict_sort")
    private Long dictSort;

    /** 字典标签 */
    @TableId(value = "dict_label")
    private String dictLabel;

    /** 字典键值 */
    @TableId(value = "dict_value")
    private String dictValue;

    /** 字典类型 */
    @TableId(value = "dict_type")
    private String dictType;

    /** 样式属性（其他样式扩展） */
    @TableId(value = "css_class")
    private String cssClass;

    /** 表格字典样式 */
    @TableId(value = "list_class")
    private String listClass;

    /** 是否默认（Y是 N否） */
    @TableId(value = "is_default")
    private String isDefault;

    /** 状态（0正常 1停用） */
    @TableId(value = "status")
    private String status;

    /** 备注 */
    @TableId(value = "remark")
    private String remark;
    /**
     * 记录的有效性；1-有效；0-无效；
     */
    @TableField(value = "isvalid")
    private Integer isvalid;
    /**
     * 创建者Id;第一次创建时与Creator值相同，修改时与修改人值相同
     */
    @TableField(value = "creatorid")
    private Integer creatorId;
    /**
     * 修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同
     */
    @TableField(value = "updaterid")
    private Integer updaterId;
    /**
     * 创建时间,默认第一次创建的getdate()时间
     */
    @TableField(value = "createtime")
    private Date createTime;
    /**
     * 修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同
     */
    @TableField(value = "updatetime")
    private Date updateTime;
}
