package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * FileName: TradeDateDO
 * Author:   chenjianhua
 * Date:     2024/9/18 23:02
 * Description: ${DESCRIPTION}
 */
@Data
@TableName("pvn_trade_date")
public class TradeDateDO {
    /**
     * 主键Id
     */
    @TableId(value = "id")
    private Integer id;
    /**
     * 交易日
     */
    @TableField(value = "trade_date")
    private Date tradeDate;
    /**
     * 截止年份
     */
    @TableField(value = "end_year")
    private String endYear;
    /**
     * 年月
     */
    @TableField(value = "yearmonth")
    private String yearmonth;
    /**
     * 全年第几周
     */
    @TableField(value = "week_of_year")
    private Integer weekOfYear;
    /**
     * 年周
     */
    @TableField(value = "year_week")
    private Integer yearWeek;
    /**
     * 周的第几天
     */
    @TableField(value = "day_of_week")
    private Integer dayOfWeek;
    /**
     * 是否为交易日
     */
    @TableField(value = "isholiday")
    private Integer isholiday;
    /**
     * 是否有效：0-无效，1-有效
     */
    @TableField(value = "isvalid")
    private Integer isvalid;
    /**
     * 创建时间
     */
    @TableField(value = "createtime")
    private Date createTime;
    /**
     * 更新时间
     */
    @TableField(value = "updatetime")
    private Date updateTime;
}