package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

@Data
@TableName("valuation_market_code")
public class ValuationMarketCodeDO {
    /**
     * 主键ID
     */
    @TableId(value = "id")
    private Integer id;
    /**
     * 交易场所code
     */
    @TableField(value = "market_code")
    private String marketCode;
    /**
     * 交易场所名称
     */
    @TableField(value = "market_name")
    private String marketName;
    /**
     * 排序id
     */
    @TableField(value = "sort_id")
    private Integer sortId;
    /**
     * 是否有效：0-无效，1-有效
     */
    @TableField(value = "isvalid")
    private Integer isvalid;
    /**
     * 创建者Id
     */
    @TableField(value = "creatorid")
    private Integer creatorId;
    /**
     * 创建时间
     */
    @TableField(value = "createtime")
    private Date createTime;
    /**
     * 修改者Id
     */
    @TableField(value = "updaterid")
    private Integer updaterId;
    /**
     * 更新时间
     */
    @TableField(value = "updatetime")
    private Date updateTime;
}