package com.simuwang.base.pojo.dto;

import lombok.Data;

import java.math.BigDecimal;

/**
 * FileName: DistributionExcelData
 * Author:   chenjianhua
 * Date:     2024/9/16 10:57
 * Description: ${DESCRIPTION}
 */
@Data
public class DistributionExcelData {
    /**
     * 基金ID
     */
    private String fundId;
    /**
     * 基金名称
     */
    private String fundName;
    /**
     * 净值日期
     */
    private String priceDate;
    /**
     * 单位净值
     */
    private String nav;
    /**
     * 累计净值
     */
    private String cumulativeNavWithdrawal;
    /**
     * 分红方式
     */
    private String distributeType;
    /**
     * 分红/拆分比例
     */
    private String distribution;
}
