package com.simuwang.base.pojo.dto;

import com.simuwang.base.common.support.query.BaseByIdQuery;
import jakarta.validation.constraints.NotNull;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2024/9/14 9:00
 * @description 根据唯一标识获取数据的查询对象
 */
@Setter
@Getter
public class GetByIdQuery extends BaseByIdQuery {
    /**
     * 唯一标识符id
     */
    @NotNull(message = "唯一标识不能为空")
    private Integer id;
}
