package com.simuwang.base.pojo.dto;

import lombok.Data;

@Data
public class TemplateDataRuleDTO {
    /**
     * 字段名称：1-备案编码，2-基金名称，3-净值日期，4-单位净值，5-累计净值，6-资产份额，7-资产净值
     */
    private Integer fieldName;
    /**
     * 提取位置：1-正文，2-正文表格
     */
    private Integer position;
    /**
     * 表格行
     */
    private Integer row;
    /**
     * 表格列
     */
    private String column;
    /**
     * 提取规则
     */
    private String fieldRule;
    /**
     * 单位转换
     */
    private Integer unitConvert;
}
