package com.simuwang.base.pojo.dto;

import lombok.Data;

import java.util.List;

@Data
public class TemplateDetailDTO {

    /**
     * 模板id
     */
    private Integer templateId;
    /**
     * 循环方向：1-行，2-列
     */
    private Integer direction;

    /**
     * 模板类型：1-excel类型，2-正文类型
     */
    private Integer type;

    /**
     * 循环开始数字或者字母
     */
    private String startIndex;

    /**
     * 循环结束数字或者字母
     */
    private String endIndex;
    /**
     * 数据提取规则明细
     */
    private List<TemplateDataRuleDTO> dataRuleDetailList;
}
