package com.simuwang.base.pojo.dto.sys;

import com.simuwang.base.common.support.command.BaseCmd;
import jakarta.validation.constraints.NotNull;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author wangzaijun
 * @date 2024/9/13 19:00
 * @description 用户角色绑定接口请求参数
 */
@Setter
@Getter
public class UserRoleBindCmd extends BaseCmd {
    /**
     * 用户id
     */
    @NotNull(message = "用户id不能为空")
    private Integer userId;
    /**
     * 绑定的角色，当为null时清空绑定的角色
     */
    private List<Integer> roleIds;
}
