package com.simuwang.base.pojo.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * FileName: DistributionDO
 * Author:   chenjianhua
 * Date:     2024/9/15 13:54
 * Description: ${DESCRIPTION}
 */
@Data
public class DistributionTablePageVO {
    /**
     * 主键Id
     */
    private Integer id;
    /**
     * 基金id
     */
    private String fundId;
    /**
     * 基金名称
     */
    private String fundName;
    /**
     * 备案编码
     */
    private String registerNumber;
    /**
     * 公司名称
     */
    private String companyName;
    /**
     * 分红日期
     */
    private String distributeDate;
    /**
     * 基金分配类型标志：-1-其他，1-分红，2-拆分,3-业绩报酬,4-注资,5-撤资
     */
    private Integer distributeType;
    /**
     * 分红/拆分比例
     */
    private BigDecimal distribution;
    /**
     * 单位净值
     */
    private BigDecimal nav;
    /**
     * 累计单位净值
     */
    private BigDecimal cumulativeNavWithdrawal;
    /**
     * 是否有效：0-无效，1-有效
     */
    private Integer isvalid;
    /**
     * 更新时间
     */
    private String updateTime;
}
