package com.simuwang.base.pojo.vo;

import lombok.Data;

import java.util.List;

/**
 * FileName: NavAssetUploadResult
 * Author:   chenjianhua
 * Date:     2024/9/23 10:36
 * Description: ${DESCRIPTION}
 */
@Data
public class DistributionUploadResult {

    /**
     * 失败结果集
     */
    private List<ExcelFailDataVO> fail;

    /**
     * 成功结果集
     */
    private List<ExcelSuccessDataVO> success;
    /**
     * 成功条数
     */
    private Integer successCount;
    /**
     * 失败条数
     */
    private Integer failCount;
    /**
     * 总条数
     */
    private Integer total;

}
