package com.simuwang.base.pojo.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class EmailParseInfoVO {
    /**
     * 主键Id
     */
    private Integer id;
    /**
     * 收件人邮箱地址
     */
    private String email;
    /**
     * 发件人邮箱地址
     */
    private String senderEmail;

    /**
     * 邮件日期
     */
    private String emailDate;

    /**
     * 解析日期
     */
    private String parseDate;
    /**
     * 邮件主题
     */
    private String emailTitle;
    /**
     * 邮件类型，1-净值，2-估值表，3-定期报告
     */
    private Integer emailType;
    /**
     * 解析状态:1-成功,2-净值缺失，3-未匹配基金，4-净值<=0,5-资产净值<=0
     */
    private Integer parseStatus;

    /**
     * 邮件附件列表
     */
    private List<EmailFileInfoVO> emailFileInfoList;
}