package com.simuwang.base.pojo.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

@Data
public class EmailTemplateMappingVO {
    /**
     * 主键Id
     */
    private Integer id;
    /**
     * 模版id(email_template_info.id)
     */
    private Integer templateId;
    /**
     * 模版名称(email_template_info.name)
     */
    private String templateName;
    /**
     * 标题名称
     */
    private String title;
    /**
     * 邮箱地址
     */
    private String email;
    /**
     * 公司名称
     */
    private String companyName;
    /**
     * 备注
     */
    private String description;
    /**
     * 状态：0-关闭，1-开启
     */
    private Integer status;
}
