package com.simuwang.base.pojo.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

@Data
public class FundAliasVO {
    /**
     * 主键Id
     */
    private Integer id;
    /**
     * 邮件解析基金名称
     */
    private String sourceFundName;
    /**
     * 邮件解析基金的备案编码
     */
    private String sourceRegisterNumber;
    /**
     * 匹配的源数据基金名称
     */
    private String targetFundName;
    /**
     * 匹配的源基金ID
     */
    private String targetFundId;
    /**
     * 匹配的源备案编码
     */
    private String targetRegisterNumber;

    /**
     * 未匹配净值数量
     */
    private Integer navTotal;
    /**
     * 未匹配规模数量
     */
    private Integer assetTotal;

    /**
     * 管理人
     */
    private String companyName;
    /**
     * 最新净值日期
     */
    private String priceDate;
}