package com.simuwang.base.pojo.vo;

import lombok.Data;

/**
 * FileName: FundInformationVO
 * Author:   chenjianhua
 * Date:     2024/9/6 15:58
 * Description: ${DESCRIPTION}
 */
@Data
public class FundInformationVO {

    /**
     * 基金ID
     */
    private String fundId;
    /**
     * 基金简称
     */
    private String fundShortName;
    /**
     * 管理人
     */
    private String companyShortName;
    /**
     * 基金成立日期
     */
    private String inceptionDate;
    /**
     * 最新净值日期
     */
    private String lastPriceDate;
    /**
     * 净值报送频率，1-日频，2-周频，3-月频，4-季频，5-半年，6-年频
     */
    private Integer navFrequency;
    /**
     * 规模报送频率，1-日频，2-周频，3-月频，4-季频，5-半年，6-年频
     */
    private Integer assetFrequency;
    /**
     * 规模备注
     */
    private String frequencyRemark;
}
