package com.simuwang.base.pojo.vo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * FileName: FundNavAssetVO
 * Author:   chenjianhua
 * Date:     2024/9/15 16:49
 * Description: ${DESCRIPTION}
 */
@Data
public class FundNavAssetVO {
    /**
     * 基金ID
     */
    private String fundId;
    /**
     * 基金名称
     */
    private String fundName;
    /**
     * 净值日期
     */
    private String priceDate;
    /**
     * 单位净值
     */
    private BigDecimal nav;
    /**
     * 累计净值
     */
    private BigDecimal cumulativeNavWithdrawal;
    /**
     * 资产份额
     */
    private BigDecimal assetShare;
    /**
     * 资产净值
     */
    private BigDecimal assetNet;
    /**
     * 更新时间
     */
    private String updateTime;
}
