package com.simuwang.shiro.core;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author wangzaijun
 * @date 2024/9/6 17:46
 * @description 用户令牌
 */
@Setter
@Getter
public class ShiroUser {
    private Integer userId;

    private String username;

    @JsonIgnore
    private String password;
    /**
     * 用户状态,1-正常，0-停用
     */
    private Integer status;
    /**
     * 用户权限信息
     */
    @JsonIgnore
    private List<String> permissionCodes;
}
