package com.simuwang.daq.components;

/**
 * @author wangzaijun
 * @date 2024/9/9 19:18
 * @description 报告模板解析器，计划支持pdf、word等
 */
public interface ReportParser {
    /**
     * 报告模板解析接口
     * 扩展支持月报、季报和年报，解析文件格式支持pdf、word和excel
     *
     * @param fileId        文件id
     * @param filepath      文件路径
     * @param watermarkName 生成水印
     */
    void parse(Integer fileId, String filepath, String watermarkName);
}
