package com.simuwang.daq.service;

import com.simuwang.daq.components.ReportParser;
import org.springframework.stereotype.Service;

@Service
public class ReportParseService {
    private final ReportParser parser;

    public ReportParseService(ReportParser parser) {
        this.parser = parser;
    }

    public void parse() {
//        this.parser.parse(1, "D:\\Documents\\workspace\\idea\\smppw\\data-daq\\service-daq\\src\\main\\java\\com\\simuwang\\daq\\utils\\12931.pdf", "幻方量化1000指数专享1号5期私募证券投资基金宁波幻方量化投资管理合伙企业（有限合伙）");
        this.parser.parse(1,
                "D:\\Documents\\workspace\\idea\\smppw\\data-daq\\service-daq\\src\\main\\java\\com\\simuwang\\daq\\utils\\12931.pdf",
                "古曲泉发一号私募证券投资基金上海古曲私募基金管理有限公司");
    }
}
